## openmcl 0.10.1

=== lisp-kernel/darwin/Makefile ===
#
#   Copyright (C) 1994-2001 Digitool, Inc
#   This file is part of Opensourced MCL.
#
#   Opensourced MCL is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License as published by the Free Software Foundation; either
#   version 2.1 of the License, or (at your option) any later version.
#
#   Opensourced MCL is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

VPATH = ..
RM = /bin/rm
LD = ld
LDFLAGS = -arch ppc -dynamic  -o $@ -e start -seg1addr 0x00101000
AS = as
M4 = gm4
M4FLAGS = -DDARWIN
ASFLAGS =
CDEFINES = -DDARWIN -traditional-cpp
CDEBUG = -g
COPT =

kernel_current_version = 	"0x04008000"
kernel_implementation_version =	"0x04008000"

.s.o:
	$(M4) $(M4FLAGS) -I../ $< | $(AS) $(ASFLAGS) -o $@
.c.o:
	$(CC) -c $< $(CDEFINES) $(CDEBUG) $(COPT) -o $@

SPOBJ = spjump.o subprims.o  sp_call.o sp_lambda.o sp_bind.o \
	sp_catch.o sp_ffi.o sp_heap_cons.o  sp_stack_cons.o sp_values.o \
	sp_vref.o sp_builtin.o sp_end.o

COBJ  = pmcl-kernel.o gc.o bits.o kernel-init.o lisp-exceptions.o mathtrap.o \
	loader.o pef.o thread_manager.o lisp-debug.o 

DEBUGOBJ = lispdcmd.o plprint.o plsym.o plbt.o ppc_print.o
KERNELOBJ= imports.o $(COBJ) asmutils.o qtppc.o 

SPINC =	lisp.s m4macros.m4 constants.s macros.s errors.s uuo.s

CHEADERS = area.h bits.h constants.h lisp-errors.h gc.h lisp.h \
	lisp-exceptions.h lisp_globals.h macros.h memprotect.h loader.h

# Subprims linked into the kernel ?
# Yes:

KSPOBJ= subprims_r.o
all:	../../dppccl


# No:

# KSPOBJ=
# all:	../../ppccl ../../subprims.so

OSLIBS = -lcrt1.o -lcc_dynamic -lSystem


../../dppccl:	 $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)
	$(LD)  $(LDFLAGS) $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)   $(OSLIBS)


subprims_r.o: $(SPOBJ)
	$(LD) -r -o $@ $(SPOBJ)

../../subprims.so: $(SPOBJ)
	ld -shared -o $@ $(SPOBJ)

$(SPOBJ): $(SPINC)
$(COBJ): $(CHEADERS)
$(DEBUGOBJ): $(CHEADERS) lispdcmd.h

MAGIC_PADDING_VALUE=4544
pad.o:	../pad.s
	$(M4) -DMAGIC_PADDING_VALUE=$(MAGIC_PADDING_VALUE) $< | as -o $@

pef.o:	pef.c pef.h $(CHEADERS)
	$(CC) -c $(CDEBUG) $(COPT) $(CDEFINES) \
	-DKERNEL_CURRENT_VERSION=$(kernel_current_version) \
	-DKERNEL_IMPLEMENTATION_VERSION=$(kernel_implementation_version) \
	-DKERNEL_CFRG_NAME="\"pmcl-kernel4.1\""	\
	../pef.c -o $@

thread_manager.o: thread_manager.c qt.h

cclean:
	$(RM) -f $(KERNELOBJ) $(DEBUGOBJ) ../../dppccl

clean:	cclean
	$(RM) -f $(SPOBJ) $(KSPOBJ)

=== lisp-kernel/linux/Makefile ===
#
#   Copyright (C) 1994-2001 Digitool, Inc
#   This file is part of Opensourced MCL.
#
#   Opensourced MCL is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License as published by the Free Software Foundation; either
#   version 2.1 of the License, or (at your option) any later version.
#
#   Opensourced MCL is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

VPATH = ../
RM = /bin/rm
# Versions of GNU as >= 2.9.1 all seem to work
# AS = gas-2.9.1
AS = as
M4 = m4
ASFLAGS = -mregnames
M4FLAGS = -DLINUX
CDEFINES = -DLINUX
CDEBUG = -g
COPT =

kernel_current_version = 	"0x04008000"
kernel_implementation_version =	"0x04008000"

.s.o:
	$(M4) $(M4FLAGS) -I../ $< | $(AS) $(ASFLAGS) -o $@
.c.o:
	$(CC) -c $< $(CDEFINES) $(CDEBUG) $(COPT) -o $@

SPOBJ = pad.o spjump.o subprims.o  sp_call.o sp_lambda.o sp_bind.o \
	sp_catch.o sp_ffi.o sp_heap_cons.o  sp_stack_cons.o sp_values.o \
	sp_vref.o sp_builtin.o sp_end.o

COBJ  = pmcl-kernel.o gc.o bits.o kernel-init.o lisp-exceptions.o mathtrap.o \
	loader.o pef.o thread_manager.o lisp-debug.o 

DEBUGOBJ = lispdcmd.o plprint.o plsym.o plbt.o ppc_print.o
KERNELOBJ= $(COBJ) asmutils.o qtppc.o imports.o

SPINC =	lisp.s m4macros.m4 constants.s macros.s errors.s uuo.s

CHEADERS = area.h bits.h constants.h lisp-errors.h gc.h lisp.h \
	lisp-exceptions.h lisp_globals.h macros.h memprotect.h loader.h

# Subprims linked into the kernel ?
# Yes:

KSPOBJ = $(SPOBJ)
all:	../../ppccl


# No:

# KSPOBJ=
# all:	../../ppccl ../../subprims.so

OSLIBS = -ldl -lm 


../../ppccl:	$(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)
	$(CC) $(CDEBUG)    -o $@ -T ./elf32ppclinux.x $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ) $(OSLIBS)


../../subprims.so: $(SPOBJ)
	ld -shared -o $@ $(SPOBJ)

$(SPOBJ): $(SPINC)
$(COBJ): $(CHEADERS)
$(DEBUGOBJ): $(CHEADERS) lispdcmd.h

pef.o:	pef.c pef.h $(CHEADERS)
	$(CC) -c $(CDEBUG) $(COPT) $(CDEFINES) \
	-DKERNEL_CURRENT_VERSION=$(kernel_current_version) \
	-DKERNEL_IMPLEMENTATION_VERSION=$(kernel_implementation_version) \
	-DKERNEL_CFRG_NAME="\"pmcl-kernel4.1\""	\
	../pef.c -o $@

thread_manager.o: thread_manager.c qt.h


cclean:
	$(RM) -f $(KERNELOBJ) $(DEBUGOBJ) ../../ppccl

clean:	cclean
	$(RM) -f $(SPOBJ) ../../subprims.so

=== lisp-kernel/vxworks/Makefile ===
#
#   Copyright (C) 1994-2001 Digitool, Inc
#   This file is part of Opensourced MCL.
#
#   Opensourced MCL is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License as published by the Free Software Foundation; either
#   version 2.1 of the License, or (at your option) any later version.
#
#   Opensourced MCL is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
VXINCLUDE = $(WIND_BASE)/target/h
VPATH = ../
RM = /bin/rm
AS = /home/byers/bin/gas
CC = ccppc
LD = ldppc
UNREL = /home/byers/bin/unppcrel24
CCLDIR = ../../

ASFLAGS = -gstabs -mregnames 
CDEFINES = -DVXWORKS -DCPU=PPC603
CDEBUG = -gdwarf
#CDEBUG = -g
COPT =
CINCLUDES = -U_BIG_ENDIAN -nostdinc -I$(VXINCLUDE)

kernel_current_version = 	"0x04008000"
kernel_implementation_version =	"0x04008000"

.s.o:
	m4 -I../ -D VXWORKS $< | $(AS) $(ASFLAGS) -o $@
.c.o:
	$(CC) -c $< $(CINCLUDES) $(CDEFINES) $(CDEBUG) $(COPT) -o $@


SPOBJ = spjump.o subprims.o  sp_call.o sp_lambda.o sp_bind.o \
	sp_catch.o sp_ffi.o sp_heap_cons.o  sp_stack_cons.o sp_values.o \
	sp_vref.o sp_builtin.o sp_end.o

COBJ  = pmcl-kernel.o gc.o bits.o kernel-init.o lisp-exceptions.o mathtrap.o \
	loader.o pef.o thread_manager.o lisp-debug.o puppet.o amalloc.o \
	lisp-server.o sockets.o

DEBUGOBJ = lispdcmd.o plprint.o plsym.o plbt.o ppc_print.o
KERNELOBJ= imports.o $(COBJ) asmutils.o qtppc.o

SPINC =	lisp.s m4macros.m4 constants.s macros.s errors.s uuo.s

CHEADERS = area.h bits.h constants.h lisp-errors.h gc.h lisp.h \
	lisp-exceptions.h lisp_globals.h macros.h memprotect.h loader.h


#KSPOBJ = $(SPOBJ)
KSPOBJ =


all:	$(CCLDIR)vxppccl.o $(CCLDIR)lisp_subprims.o $(CCLDIR)vxlow.o


$(CCLDIR)vxppccl.o:	$(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)
	$(LD) -r   -o $@ $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)
	$(UNREL) $@

$(CCLDIR)lisp_subprims.o: $(SPOBJ)
	$(LD) -r   -o $@ $(SPOBJ)
	$(UNREL) $@


$(SPOBJ): $(SPINC)
$(COBJ): $(CHEADERS)
$(DEBUGOBJ): $(CHEADERS) lispdcmd.h

$(CCLDIR)vxlow.o: vxlow.c $(CHEADERS)
	$(CC) -c $< $(CINCLUDES) $(CDEFINES) $(CDEBUG) $(COPT) -o $@
	$(UNREL) $@

pef.o:	pef.c pef.h $(CHEADERS)
	$(CC) -c $(CDEBUG) $(COPT) $(CDEFINES) $(CINCLUDES) \
	-DKERNEL_CURRENT_VERSION=$(kernel_current_version) \
	-DKERNEL_IMPLEMENTATION_VERSION=$(kernel_implementation_version) \
	-DKERNEL_CFRG_NAME="\"pmcl-kernel4.1\""	\
	../pef.c -o $@

thread_manager.o: ../thread_manager.c ../qt.h

imports.o: ../imports.S
	$(CC) -DVXWORKS -c -o $@ ../imports.S

$(CCLDIR)server_test.o: lisp-serverX.o sockets.o
	$(LD) -r -o $@ lisp-serverX.o sockets.o
	$(UNREL) $@

lisp-serverX.o: lisp-server.c
	$(CC) -c $< $(CINCLUDES) $(CDEFINES) $(CDEBUG) $(COPT) -DTESTING -o $@

cclean:
	$(RM) -f $(COBJ) vxlow.o

clean:	cclean
	$(RM) -f $(SPOBJ) $(KERNELOBJ) $(DEBUGOBJ) lisp_subprims.o vxppccl.o

test.s:	test.c
	$(CC) -S $< $(CINCLUDES) $(CDEFINES) $(CDEBUG) $(COPT) -mlongcall -o $@

## openmcl 0.13.6

=== fink/Makefile ===
OPENMCL=/usr/local/src/ccl/dppccl

all:
	make -C lisp-kernel/darwin
	CCL_DEFAULT_DIRECTORY=$(PWD) $(OPENMCL) --image-name /usr/local/src/ccl/dppccl.image --batch --no-init < fink/make-bootstrap.lisp
	CCL_DEFAULT_DIRECTORY=$(PWD) $(OPENMCL) --image-name /usr/local/src/ccl/dppccl.image --batch --no-init < fink/compile.lisp
	CCL_DEFAULT_DIRECTORY=$(PWD) ./dppccl --image-name ./ppc-boot.image --batch --no-init < fink/run-bootstrap.lisp


clean:
	-find . -name '*.pfsl' -o -name '*~' | xargs rm 
	-rm ppc-boot.image dppccl.image
	make -C lisp-kernel/darwin clean

install:
	mkdir -p $(DESTDIR)/lib/openmcl/library $(DESTDIR)/man/man1
	mkdir $(DESTDIR)/lib/openmcl/lib $(DESTDIR)/bin
	mkdir $(DESTDIR)/lib/openmcl/bindarwin/
	mkdir $(DESTDIR)/lib/openmcl/headers
	install -m 755 fink/openmcl.script $(DESTDIR)/bin/openmcl
	install -m 755 dppccl $(DESTDIR)/lib/openmcl/
	install -m 644 dppccl.image $(DESTDIR)/lib/openmcl/
	install -m 644 lib/*.lisp $(DESTDIR)/lib/openmcl/lib/
	cp -RP headers darwin-headers $(DESTDIR)/lib/openmcl/.
	install -m 644 debian/openmcl.1 $(DESTDIR)/man/man1
	install -m 644 library/*.lisp $(DESTDIR)/lib/openmcl/library/
	install -m 644 bindarwin/eval.dfsl bindarwin/step.dfsl $(DESTDIR)/lib/openmcl/bindarwin/
	install -m 644 library/loop.dfsl $(DESTDIR)/lib/openmcl/library/

=== lisp-kernel/darwin/Makefile ===
#
#   Copyright (C) 1994-2001 Digitool, Inc
#   This file is part of OpenMCL.  
#
#   OpenMCL is licensed under the terms of the Lisp Lesser GNU Public
#   License , known as the LLGPL and distributed with OpenMCL as the
#   file "LICENSE".  The LLGPL consists of a preamble and the LGPL,
#   which is distributed with OpenMCL as the file "LGPL".  Where these
#   conflict, the preamble takes precedence.  
#
#   OpenMCL is referenced in the preamble as the "LIBRARY."
#
#   The LLGPL is also available online at
#   http://opensource.franz.com/preamble.html

VPATH = ..
RM = /bin/rm
LD = ld
LDFLAGS = -arch ppc -dynamic  -o $@ -e start -seg1addr 0x00101000 
# -stack_addr 0xC0000000 -stack_size 0x00100000
AS = as
M4 = gm4
M4FLAGS = -DDARWIN
ASFLAGS =
CDEFINES = -DDARWIN -traditional-cpp
CDEBUG = -g
COPT = -O2


.s.o:
	$(M4) $(M4FLAGS) -I../ $< | $(AS) $(ASFLAGS) -o $@
.c.o:
	$(CC) -c $< $(CDEFINES) $(CDEBUG) $(COPT) -o $@

SPOBJ = spjump.o subprims.o  sp_call.o sp_lambda.o sp_bind.o \
	sp_catch.o sp_ffi.o sp_heap_cons.o  sp_stack_cons.o sp_values.o \
	sp_vref.o sp_builtin.o sp_end.o

COBJ  = pmcl-kernel.o gc.o bits.o kernel-init.o lisp-exceptions.o mathtrap.o \
	thread_manager.o lisp-debug.o image.o

DEBUGOBJ = lispdcmd.o plprint.o plsym.o plbt.o ppc_print.o
KERNELOBJ= imports.o $(COBJ) asmutils.o qtppc.o 

SPINC =	lisp.s m4macros.m4 constants.s macros.s errors.s uuo.s

CHEADERS = area.h bits.h constants.h lisp-errors.h gc.h lisp.h lisptypes.h \
	lisp-exceptions.h lisp_globals.h macros.h memprotect.h image.h

# Subprims linked into the kernel ?
# Yes:

KSPOBJ= $(SPOBJ)
all:	../../dppccl


# No:

# KSPOBJ=
# all:	../../ppccl ../../subprims.so

OSLIBS = -lcrt1.o -lcc_dynamic -lSystem


../../dppccl:	 $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)
	$(LD)  $(LDFLAGS) $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)   $(OSLIBS)


../../subprims.so: $(SPOBJ)
	ld -shared -o $@ $(SPOBJ)

$(SPOBJ): $(SPINC)
$(COBJ): $(CHEADERS)
$(DEBUGOBJ): $(CHEADERS) lispdcmd.h

MAGIC_PADDING_VALUE=4544
pad.o:	../pad.s
	$(M4) -DMAGIC_PADDING_VALUE=$(MAGIC_PADDING_VALUE) $< | as -o $@

thread_manager.o: thread_manager.c qt.h

cclean:
	$(RM) -f $(KERNELOBJ) $(DEBUGOBJ) ../../dppccl 

# Some earlier versions of this Makefile built "subprims_r.o".  
# (That file is now defunct.)
clean:	cclean
	$(RM) -f $(SPOBJ) $(KSPOBJ) subprims_r.o

strip:	../../dppccl
	strip -s retain ../../dppccl

=== lisp-kernel/linux/Makefile ===
#
#   Copyright (C) 1994-2001 Digitool, Inc
#   This file is part of OpenMCL.  
#
#   OpenMCL is licensed under the terms of the Lisp Lesser GNU Public
#   License , known as the LLGPL and distributed with OpenMCL as the
#   file "LICENSE".  The LLGPL consists of a preamble and the LGPL,
#   which is distributed with OpenMCL as the file "LGPL".  Where these
#   conflict, the preamble takes precedence.  
#
#   OpenMCL is referenced in the preamble as the "LIBRARY."
#
#   The LLGPL is also available online at
#   http://opensource.franz.com/preamble.html

VPATH = ../
RM = /bin/rm
# Versions of GNU as >= 2.9.1 all seem to work
# AS = gas-2.9.1
AS = as
M4 = m4
ASFLAGS = -mregnames
M4FLAGS = -DLINUX
CDEFINES = -DLINUX
CDEBUG = -g
COPT = -O2

.s.o:
	$(M4) $(M4FLAGS) -I../ $< | $(AS) $(ASFLAGS) -o $@
.c.o:
	$(CC) -c $< $(CDEFINES) $(CDEBUG) $(COPT) -o $@

SPOBJ = pad.o spjump.o subprims.o  sp_call.o sp_lambda.o sp_bind.o \
	sp_catch.o sp_ffi.o sp_heap_cons.o  sp_stack_cons.o sp_values.o \
	sp_vref.o sp_builtin.o sp_end.o

COBJ  = pmcl-kernel.o gc.o bits.o kernel-init.o lisp-exceptions.o mathtrap.o \
	image.o thread_manager.o lisp-debug.o 

DEBUGOBJ = lispdcmd.o plprint.o plsym.o plbt.o ppc_print.o
KERNELOBJ= $(COBJ) asmutils.o qtppc.o imports.o

SPINC =	lisp.s m4macros.m4 constants.s macros.s errors.s uuo.s

CHEADERS = area.h bits.h constants.h lisp-errors.h gc.h lisp.h lisptypes.h\
	lisp-exceptions.h lisp_globals.h macros.h memprotect.h image.h

# Subprims linked into the kernel ?
# Yes:

KSPOBJ = $(SPOBJ)
all:	../../ppccl


# No:

# KSPOBJ=
# all:	../../ppccl ../../subprims.so

OSLIBS = -ldl -lm 


../../ppccl:	$(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)
	$(CC) $(CDEBUG)  -Wl,--export-dynamic  -o $@ -T ./elf32ppclinux.x $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ) $(OSLIBS)


../../subprims.so: $(SPOBJ)
	ld -shared -o $@ $(SPOBJ)

$(SPOBJ): $(SPINC)
$(COBJ): $(CHEADERS)
$(DEBUGOBJ): $(CHEADERS) lispdcmd.h

thread_manager.o: thread_manager.c qt.h


cclean:
	$(RM) -f $(KERNELOBJ) $(DEBUGOBJ) ../../ppccl

clean:	cclean
	$(RM) -f $(SPOBJ) ../../subprims.so

strip:	../../dppccl
	strip -g ../../dppccl

=== lisp-kernel/vxworks/Makefile ===
--- 
+++ 
@@ -1,21 +1,17 @@
 #
 #   Copyright (C) 1994-2001 Digitool, Inc
-#   This file is part of Opensourced MCL.
-#
-#   Opensourced MCL is free software; you can redistribute it and/or
-#   modify it under the terms of the GNU Lesser General Public
-#   License as published by the Free Software Foundation; either
-#   version 2.1 of the License, or (at your option) any later version.
-#
-#   Opensourced MCL is distributed in the hope that it will be useful,
-#   but WITHOUT ANY WARRANTY; without even the implied warranty of
-#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-#   Lesser General Public License for more details.
-#
-#   You should have received a copy of the GNU Lesser General Public
-#   License along with this library; if not, write to the Free Software
-#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
+;;;   This file is part of OpenMCL.  
+;;;
+;;;   OpenMCL is licensed under the terms of the Lisp Lesser GNU Public
+;;;   License , known as the LLGPL and (distributed with OpenMCL as the
+;;;   file "LICENSE".  The LLGPL consists of a preamble and the LGPL,
+;;;   which is distributed with OpenMCL as the file "LGPL".  Where these
+;;;   conflict, the preamble takes precedence.  
+;;;
+;;;   OpenMCL is referenced in the preamble as the "LIBRARY."
+;;;
+;;;   The LLGPL is also available online at
+;;;   http://opensource.franz.com/preamble.html
 VXINCLUDE = $(WIND_BASE)/target/h
 VPATH = ../
 RM = /bin/rm

=== debian/changelog ===
openmcl (0.13.6) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 24 Jun 2003 02:29:38 -0600

openmcl (0.13.5) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 16 Apr 2003 11:20:35 -0600

openmcl (0.13.4) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  2 Feb 2003 22:03:36 -0700

openmcl (0.13.3+cvs+2003.01.31) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 31 Jan 2003 21:46:38 -0700

openmcl (0.13.2+cvs.2002.11.13) unstable; urgency=low

  * Upstream changes
  * Now with LLGPL license
  * Build with gcc-3.2

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 13 Jan 2003 21:47:03 -0700

openmcl (0.13.2) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 14 Dec 2002 22:57:48 -0700

openmcl (0.13.1+cvs.2002.11.25) unstable; urgency=low

  * New upstream version
  * Now build with openmcl-build-tools pkg

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 25 Nov 2002 03:37:59 -0700

openmcl (0.13.1) unstable; urgency=low

  * New upstream release

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  3 Nov 2002 20:57:20 -0700

openmcl (0.13+cvs.2002.10.20) unstable; urgency=low

  * Remove loading of ~/.openmcl-init.lisp since openmcl already checks for
  ~/openmcl-init.lisp.
  * Add --no-init to invocation of opemcl during build process.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 20 Oct 2002 14:51:01 -0600

openmcl (0.13+cvs.2002.10.18-1) unstable; urgency=low

  * CVS snapshot
  * Add loading of ~/.openmcl-init.lisp if file exists

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 18 Oct 2002 12:04:45 -0600

openmcl (0.13+cvs.2002.09.27-2) unstable; urgency=low

  * Add .pfsl files for loop, eval, and step
  * Update the ccl:*openmcl-version* variable witht he current Debian
    version number.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 29 Sep 2002 10:44:39 -0600

openmcl (0.13+cvs.2002.09.27-1) unstable; urgency=low

  * New upstream CVS change to add exit status to quit
  * Wrote and added manpage
  * Add headers directory to /usr/lib/openmcl (need to support UFFI)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 27 Sep 2002 14:42:13 -0600

openmcl (0.13+cvs.2002.09.26-1) unstable; urgency=low

  * New Maintainer
  * Latest upstream CVS
  * Adds Common Lisp Controller support	
  * Provides lisp-compiler (closes: 161863)
  * Saves doc strings (closes: 126720)
  * Install upstream HTML documentation
  	
 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 26 Sep 2002 12:24:20 -0600

openmcl (0.13-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Thu, 22 Aug 2002 21:47:43 -0400

openmcl (0.12.1-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Sun, 23 Jun 2002 20:56:51 -0400

openmcl (0.12-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Tue, 18 Jun 2002 22:40:35 -0400

openmcl (0.11-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Fri, 10 May 2002 06:00:59 -0400

openmcl (0.10.1-2) unstable; urgency=low

  * Messed up the upload for revision 1.  It didn't include an orig.tar.gz.

 -- Jonathan Hseu <vomjom@debian.org>  Fri, 22 Feb 2002 04:20:46 -0500

openmcl (0.10.1-1) unstable; urgency=low

  * Upload new version to Debian (closes: Bug#134587)
  * Improved description (closes: Bug#127758)
  * Make scripts ash compatible

 -- Jonathan Hseu <vomjom@debian.org>  Mon, 18 Feb 2002 23:27:30 -0600

openmcl (0.10.1-0csr2) unstable; urgency=low

  * Added README.Bootstrap to explain building procedure

 -- Christophe Rhodes <csr21@cam.ac.uk>  Mon, 18 Feb 2002 14:36:52 +0000

openmcl (0.10.1-0csr1) unstable; urgency=low

  * New upstream
  * Improved description (Closes: #127758)

 -- Christophe Rhodes <csr21@cam.ac.uk>  Mon, 18 Feb 2002 13:32:24 +0000

openmcl (0.9-2) unstable; urgency=low

  * New maintainer
  * Initial upload (closes: Bug#109610)

 -- Jonathan Hseu <vomjom@debian.org>  Wed, 12 Dec 2001 10:04:05 -0500

openmcl (0.9-1) unstable; urgency=low

  * New upstream. Many packaging bugs probably reintroduced.

 -- Christophe Rhodes <csr21@cam.ac.uk>  Wed, 12 Dec 2001 10:59:01 +0000

openmcl (0.5-4) unstable; urgency=low

  * Used dh_undocumented to pacify lintian for now.

 -- Christophe Rhodes <csr21@cam.ac.uk>  Tue, 21 Aug 2001 14:51:07 +0100

openmcl (0.5-3) unstable; urgency=low

  * Incorporated fix from 0.5.1 in lisp-kernel/sp_ffi.s.
  * Fixed install-defsystem target, which I hope will reduce the startup
          time. There's still a call to init-clc in the init file; we shall see
          how long that takes.

 -- Christophe Rhodes <csr21@cam.ac.uk>  Wed, 25 Jul 2001 14:51:07 +0100

openmcl (0.5-2) unstable; urgency=low

  * Save local symbols, as a way of helping ilisp support.
  * Also set the flag *fasl-save-local-symbols* to T in the saved image.
  * Delete the :make package in the final image.

 -- Christophe Rhodes <csr21@cam.ac.uk>  Mon, 23 Jul 2001 10:27:59 +0100

openmcl (0.5-1) unstable; urgency=low

  * initial package.

 -- Christophe Rhodes <csr21@cam.ac.uk>  Thu, 19 Jul 2001 13:51:27 +0100

=== debian/control ===
Source: openmcl
Section: devel
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: debhelper (>= 4.0.0), openmcl-build-tools
Standards-Version: 3.5.10.0

Package: openmcl
Architecture: powerpc
Provides: lisp-compiler
Depends: ${shlibs:Depends}, common-lisp-controller (>= 3.34)
Suggests: doc-base
Description: Native code ANSI Common Lisp compiler and runtime environment
 OpenMCL is an implementation of the ANSI Common Lisp language,
 providing native-code compilation and the associated runtime
 environment.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

CURRDIR	:= $(shell pwd)

pkg		:= openmcl
openmcl-exe 	:= usr/bin/$(pkg)
mcl-dir 	:= usr/lib/$(pkg)
clc-bin-dir  	:= usr/lib/common-lisp/bin
doc-dir		:= usr/share/doc/$(pkg)/html

deb_ver	:= $(shell sed -n -e "s/${pkg} (\(.*\)).*/\1/p" < debian/changelog |head -1)

 
configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.


	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	sed -e "s@%ver%@$(deb_ver)@" < debian/run-bootstrap.lisp.template > debian/run-bootstrap.lisp
	cp debian/Makefile .
	cp -a /$(mcl-dir)/PPCCL-orig /$(mcl-dir)/headers $(CURRDIR)
	OPENMCL=/$(openmcl-exe) $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/openmcl.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(pkg)
	dh_install debian/install-clc.lisp $(mcl-dir)
	chmod +x debian/openmcl.sh
	dh_install debian/openmcl.sh $(clc-bin-dir)
	dh_installdirs $(doc-dir)
	dh_install doc/HTML/* $(doc-dir)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman debian/openmcl.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## openmcl 0.14.2.p1

=== debian/changelog ===
openmcl (0.14.2.p1) unstable; urgency=low

  * New upstream release

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  2 Aug 2004 21:59:41 -0600

openmcl (0.13.6-2) unstable; urgency=low

  * Convert to common-lisp-controller v4

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  2 Aug 2004 15:13:31 -0600

=== debian/control ===
Source: openmcl
Section: devel
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: debhelper (>= 4.0.0), openmcl-build-tools
Standards-Version: 3.6.1.1

Package: openmcl
Architecture: powerpc
Provides: lisp-compiler
Depends: ${shlibs:Depends}, common-lisp-controller (>= 4.2)
Suggests: doc-base
Description: Native code ANSI Common Lisp compiler and runtime environment
 OpenMCL is an implementation of the ANSI Common Lisp language,
 providing native-code compilation and the associated runtime
 environment.

## openmcl 0.14.2.p1.o

=== Makefile ===
all:
	make -C lisp-kernel/linux
	CCL_DEFAULT_DIRECTORY=$(PWD) ./ppccl --image-name /usr/lib/openmcl/PPCCL-orig --batch --no-init < debian/make-bootstrap.lisp	
	CCL_DEFAULT_DIRECTORY=$(PWD) ./ppccl --image-name /usr/lib/openmcl/PPCCL-orig --batch --no-init < debian/compile.lisp
	CCL_DEFAULT_DIRECTORY=$(PWD) ./ppccl --image-name ./ppc-boot --batch --no-init < debian/run-bootstrap.lisp


clean:
	-find . -name '*.pfsl' -o -name '*~' | xargs rm 
	-rm ppc-boot PPCCL
	make -C lisp-kernel/linux clean

install:
	install -m 755 debian/openmcl.script $(DESTDIR)/usr/bin/openmcl
	install -m 755 ppccl $(DESTDIR)/usr/lib/openmcl/
	install -m 644 PPCCL $(DESTDIR)/usr/lib/openmcl/
	install -m 644 debian/openmclrc.lisp $(DESTDIR)/etc/
	install -m 755 debian/openmcl.sh $(DESTDIR)/usr/lib/common-lisp/bin/
	install -m 644 lib/*.lisp $(DESTDIR)/usr/lib/openmcl/lib/
	install -m 644 library/*.lisp $(DESTDIR)/usr/lib/openmcl/library/
	install -m 644 binppc/eval.pfsl binppc/step.pfsl $(DESTDIR)/usr/lib/openmcl/binppc/
	install -m 644 library/loop.pfsl $(DESTDIR)/usr/lib/openmcl/library/

=== debian/Makefile ===
all:
	make -C lisp-kernel/linux
	CCL_DEFAULT_DIRECTORY=$(PWD) ./ppccl --image-name /usr/lib/openmcl/PPCCL-orig --batch --no-init < debian/make-bootstrap.lisp	
	CCL_DEFAULT_DIRECTORY=$(PWD) ./ppccl --image-name /usr/lib/openmcl/PPCCL-orig --batch --no-init < debian/compile.lisp
	CCL_DEFAULT_DIRECTORY=$(PWD) ./ppccl --image-name ./ppc-boot --batch --no-init < debian/run-bootstrap.lisp


clean:
	-find . -name '*.pfsl' -o -name '*~' | xargs rm 
	-rm ppc-boot PPCCL
	make -C lisp-kernel/linux clean

install:
	install -m 755 debian/openmcl.script $(DESTDIR)/usr/bin/openmcl
	install -m 755 ppccl $(DESTDIR)/usr/lib/openmcl/
	install -m 644 PPCCL $(DESTDIR)/usr/lib/openmcl/
	install -m 644 debian/openmclrc.lisp $(DESTDIR)/etc/
	install -m 755 debian/openmcl.sh $(DESTDIR)/usr/lib/common-lisp/bin/
	install -m 644 lib/*.lisp $(DESTDIR)/usr/lib/openmcl/lib/
	install -m 644 library/*.lisp $(DESTDIR)/usr/lib/openmcl/library/

=== lisp-kernel/darwin/Makefile ===
#
#   Copyright (C) 1994-2001 Digitool, Inc
#   This file is part of OpenMCL.  
#
#   OpenMCL is licensed under the terms of the Lisp Lesser GNU Public
#   License , known as the LLGPL and distributed with OpenMCL as the
#   file "LICENSE".  The LLGPL consists of a preamble and the LGPL,
#   which is distributed with OpenMCL as the file "LGPL".  Where these
#   conflict, the preamble takes precedence.  
#
#   OpenMCL is referenced in the preamble as the "LIBRARY."
#
#   The LLGPL is also available online at
#   http://opensource.franz.com/preamble.html


# For versions of GCC prior to 3.3, the option "-traditional-cpp" meant
# "don't use precompiled headers", which was good advice since they didn't
# work too well.  Beginning with GCC 3.3, the "-traditional-cpp" means 
# "use a broken preprocessor", which is (in a sense) the opposite of what
# it used to mean.

# Try to determine the version of GCC in use.  Invoke gcc with the
# -v flag, and look for a line containing the phrase "specs from" in
# the output.  Use sed to extract the full pathname of ths specs file
# printed in that line, then strip off the trailing "/specs".
gccdir = $(shell $(CC) -v 2>&1 | grep "specs from" | sed -e 's/.*from //' -e 's|/specs||')
# $(gccdir) is set to the directory containing the specs file, without the
# trailing slash.  The make intrinsic 'notdir' will strip a leading directory
# prefix from that pathname, leaving us with a string that should match
# the gcc version number
gccversion:=$(notdir $(gccdir))
oldgcc:=$(shell expr $(gccversion) "<" "3.3")
ifeq ($(oldgcc),1)
BROKEN_PREPROCESSOR_WORKAROUND = -traditional-cpp
endif

MDYNAMIC_NO_PIC = $(shell ($(CC) --help -v 2>&1 | grep -q -e "-mdynamic-no-pic") && /bin/echo "-mdynamic-no-pic")

OPENMCL_MAJOR_VERSION=0
OPENMCL_MINOR_VERSION=14

VPATH = ..
RM = /bin/rm
LD = ld
LDFLAGS = -arch ppc -dynamic  -o $@ -e start -seg1addr 0x00003000 -sectalign __TEXT __text 0x1000 -pagezero_size 0x3000
# -stack_addr 0xC0000000 -stack_size 0x00100000
AS = as
M4 = gm4
M4FLAGS = -DDARWIN
ASFLAGS = -force_cpusubtype_ALL
CDEFINES = -DDARWIN $(BROKEN_PREPROCESSOR_WORKAROUND) -DOPENMCL_MAJOR_VERSION=$(OPENMCL_MAJOR_VERSION) -DOPENMCL_MINOR_VERSION=$(OPENMCL_MINOR_VERSION)
CDEBUG = -g
COPT = -O2

.s.o:
	$(M4) $(M4FLAGS) -I../ $< | $(AS) $(ASFLAGS) -o $@
.c.o:
	$(CC) -c $< $(CDEFINES) $(CDEBUG) $(COPT) $(MDYNAMIC_NO_PIC) -o $@

SPOBJ = spjump.o spentry.o  subprims.o 
ASMOBJ = asmutils.o imports.o

COBJ  = pmcl-kernel.o gc.o bits.o  lisp-exceptions.o \
	thread_manager.o lisp-debug.o image.o

DEBUGOBJ = lispdcmd.o plprint.o plsym.o plbt.o ppc_print.o
KERNELOBJ= imports.o $(COBJ) asmutils.o 

SPINC =	lisp.s m4macros.m4 constants.s macros.s errors.s uuo.s

CHEADERS = area.h bits.h constants.h lisp-errors.h gc.h lisp.h \
	lisp-exceptions.h lisp_globals.h macros.h memprotect.h image.h \
	Threads.h

# Subprims linked into the kernel ?
# Yes:

KSPOBJ= $(SPOBJ)
all:	../../dppccl


# No:

# KSPOBJ=
# all:	../../ppccl ../../subprims.so

OSLIBS = -lcrt1.o -lcc_dynamic -lSystem


../../dppccl:	 $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)
	$(LD)  $(LDFLAGS) $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)   $(OSLIBS)

# Can leave this unset when compiling on/for Jaguar
SAMPLER_ARCH_DEFINES=-DUSE_MACH

../../darwin_sampler.so: sampler.c
	$(CC) -bundle  $< $(CDEFINES) $(SAMPLER_ARCH_DEFINES) $(CDEBUG) $(COPT) -o $@

# This will fail to compile on pre-Jaguar systems
../../jaguar_sampler.so: sampler.c
	$(CC) -bundle  $< $(CDEFINES)  $(CDEBUG) $(COPT) -o $@

$(SPOBJ): $(SPINC)
$(ASMOBJ): $(SPINC)
$(COBJ): $(CHEADERS)
$(DEBUGOBJ): $(CHEADERS) lispdcmd.h


MAGIC_PADDING_VALUE=4544
pad.o:	../pad.s
	$(M4) -DMAGIC_PADDING_VALUE=$(MAGIC_PADDING_VALUE) $< | as -o $@

thread_manager.o: thread_manager.c 

cclean:
	$(RM) -f $(KERNELOBJ) $(DEBUGOBJ) ../../dppccl 

# Some earlier versions of this Makefile built "subprims_r.o".  
# (That file is now defunct.)
clean:	cclean
	$(RM) -f $(SPOBJ) $(KSPOBJ) subprims_r.o

strip:	../../dppccl
	strip -s retain ../../dppccl

=== lisp-kernel/linux/Makefile ===
#
#   Copyright (C) 1994-2001 Digitool, Inc
#   This file is part of OpenMCL.  
#
#   OpenMCL is licensed under the terms of the Lisp Lesser GNU Public
#   License , known as the LLGPL and distributed with OpenMCL as the
#   file "LICENSE".  The LLGPL consists of a preamble and the LGPL,
#   which is distributed with OpenMCL as the file "LGPL".  Where these
#   conflict, the preamble takes precedence.  
#
#   OpenMCL is referenced in the preamble as the "LIBRARY."
#
#   The LLGPL is also available online at
#   http://opensource.franz.com/preamble.html

OPENMCL_MAJOR_VERSION=0
OPENMCL_MINOR_VERSION=14

VPATH = ../
RM = /bin/rm
# Versions of GNU as >= 2.9.1 all seem to work
# AS = gas-2.9.1
AS = as
M4 = m4
ASFLAGS = -mregnames -mppc32 -m7400
M4FLAGS = -DLINUX
CDEFINES = -DLINUX -D_REENTRANT  -DOPENMCL_MAJOR_VERSION=$(OPENMCL_MAJOR_VERSION) -DOPENMCL_MINOR_VERSION=$(OPENMCL_MINOR_VERSION)
CDEBUG = -g
COPT = -O2

# The only version of GCC I have that supports both ppc32 and ppc64
# compilation uses the -m32 option to target ppc32.  This may not be
# definitive; there seem to be a bewildering array of similar options
# in other GCC versions.  It's assumed here that if "-m32" is recognized,
# it's required as well.

PPC32 = $(shell ($(CC) --help -v 2>&1 | grep -q -e "-m32 ") && /bin/echo "-m32")

# Likewise, some versions of GAS may need a "-a32" flag, to force the
# output file to be 32-bit compatible.

A32 = $(shell ($(AS) --help -v 2>&1 | grep -q -e "-a32") && /bin/echo "-a32")

.s.o:
	$(M4) $(M4FLAGS) -I../ $< | $(AS) $(A32) $(ASFLAGS) -o $@
.c.o:
	$(CC) -c $< $(CDEFINES) $(CDEBUG) $(COPT) $(PPC32) -o $@

SPOBJ = pad.o spjump.o spentry.o subprims.o
ASMOBJ = asmutils.o imports.o

COBJ  = pmcl-kernel.o gc.o bits.o  lisp-exceptions.o \
	image.o thread_manager.o lisp-debug.o 

DEBUGOBJ = lispdcmd.o plprint.o plsym.o plbt.o ppc_print.o
KERNELOBJ= $(COBJ) asmutils.o  imports.o

SPINC =	lisp.s m4macros.m4 constants.s macros.s errors.s uuo.s

CHEADERS = area.h bits.h constants.h lisp-errors.h gc.h lisp.h \
	lisp-exceptions.h lisp_globals.h macros.h memprotect.h image.h \
	Threads.h

# Subprims linked into the kernel ?
# Yes:

KSPOBJ = $(SPOBJ)
all:	../../ppccl


# No:

# KSPOBJ=
# all:	../../ppccl ../../subprims.so

OSLIBS = -ldl -lm -lpthread


../../ppccl:	$(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)
	$(CC) $(PPC32) $(CDEBUG)  -Wl,--export-dynamic  -o $@ -T ./elf32ppclinux.x $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ) $(OSLIBS)


$(SPOBJ): $(SPINC)
$(ASMOBJ): $(SPINC)
$(COBJ): $(CHEADERS)
$(DEBUGOBJ): $(CHEADERS) lispdcmd.h


cclean:
	$(RM) -f $(KERNELOBJ) $(DEBUGOBJ) ../../ppccl

clean:	cclean
	$(RM) -f $(SPOBJ)

strip:	../../ppccl
	strip -g ../../ppccl

=== lisp-kernel/pantherg5/Makefile ===
#
#   Copyright (C) 1994-2001 Digitool, Inc
#   This file is part of OpenMCL.  
#
#   OpenMCL is licensed under the terms of the Lisp Lesser GNU Public
#   License , known as the LLGPL and distributed with OpenMCL as the
#   file "LICENSE".  The LLGPL consists of a preamble and the LGPL,
#   which is distributed with OpenMCL as the file "LGPL".  Where these
#   conflict, the preamble takes precedence.  
#
#   OpenMCL is referenced in the preamble as the "LIBRARY."
#
#   The LLGPL is also available online at
#   http://opensource.franz.com/preamble.html


# For versions of GCC prior to 3.3, the option "-traditional-cpp" meant
# "don't use precompiled headers", which was good advice since they didn't
# work too well.  Beginning with GCC 3.3, the "-traditional-cpp" means 
# "use a broken preprocessor", which is (in a sense) the opposite of what
# it used to mean.

# Try to determine the version of GCC in use.  Invoke gcc with the
# -v flag, and look for a line containing the phrase "specs from" in
# the output.  Use sed to extract the full pathname of ths specs file
# printed in that line, then strip off the trailing "/specs".
gccdir = $(shell $(CC) -v 2>&1 | grep "specs from" | sed -e 's/.*from //' -e 's|/specs||')
# $(gccdir) is set to the directory containing the specs file, without the
# trailing slash.  The make intrinsic 'notdir' will strip a leading directory
# prefix from that pathname, leaving us with a string that should match
# the gcc version number
gccversion:=$(notdir $(gccdir))
oldgcc:=$(shell expr $(gccversion) "<" "3.3")
ifeq ($(oldgcc),1)
BROKEN_PREPROCESSOR_WORKAROUND = -traditional-cpp
endif

MDYNAMIC_NO_PIC = $(shell ($(CC) --help -v 2>&1 | grep -q -e "-mdynamic-no-pic") && /bin/echo "-mdynamic-no-pic")

OPENMCL_MAJOR_VERSION=0
OPENMCL_MINOR_VERSION=14

VPATH = ..
RM = /bin/rm
LD = ld
LDFLAGS = -arch ppc -dynamic  -o $@ -e start -seg1addr 0x00003000 -sectalign __TEXT __text 0x1000 -pagezero_size 0x3000
# -stack_addr 0xC0000000 -stack_size 0x00100000
AS = as
M4 = gm4
M4FLAGS = -DDARWIN -DPPC64 -DFOREIGN_POINTER_32BIT
ASFLAGS = -force_cpusubtype_ALL
CDEFINES = -DPPC64 -DFOREIGN_POINTER_32BIT -DDARWIN $(BROKEN_PREPROCESSOR_WORKAROUND) -DOPENMCL_MAJOR_VERSION=$(OPENMCL_MAJOR_VERSION) -DOPENMCL_MINOR_VERSION=$(OPENMCL_MINOR_VERSION) 
CDEBUG = -g
COPT = -O2 -mpowerpc64

.s.o:
	$(M4) $(M4FLAGS) -I../ $< | $(AS) $(ASFLAGS) -o $@
.c.o:
	$(CC) -c $< $(CDEFINES) $(CDEBUG) $(COPT) $(MDYNAMIC_NO_PIC) -o $@

SPOBJ = spjump.o spentry.o  subprims.o 
ASMOBJ = asmutils.o imports.o

COBJ  = pmcl-kernel.o gc.o bits.o  lisp-exceptions.o \
	thread_manager.o lisp-debug.o image.o

DEBUGOBJ = lispdcmd.o plprint.o plsym.o plbt.o ppc_print.o
KERNELOBJ= imports.o $(COBJ) asmutils.o 

SPINC =	lisp.s m4macros.m4 constants.s macros.s errors.s uuo.s

CHEADERS = area.h bits.h constants.h lisp-errors.h gc.h lisp.h \
	lisp-exceptions.h lisp_globals.h macros.h memprotect.h image.h \
	Threads.h

# Subprims linked into the kernel ?
# Yes:

KSPOBJ= $(SPOBJ)
all:	../../dppccl64


# No:

# KSPOBJ=
# all:	../../ppccl ../../subprims.so

OSLIBS = -lcrt1.o -lcc_dynamic -lSystem


../../dppccl64:	 $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)
	$(LD)  $(LDFLAGS) $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)   $(OSLIBS)

# Can leave this unset when compiling on/for Jaguar
SAMPLER_ARCH_DEFINES=-DUSE_MACH

../../darwin_sampler.so: sampler.c
	$(CC) -bundle  $< $(CDEFINES) $(SAMPLER_ARCH_DEFINES) $(CDEBUG) $(COPT) -o $@

# This will fail to compile on pre-Jaguar systems
../../jaguar_sampler.so: sampler.c
	$(CC) -bundle  $< $(CDEFINES)  $(CDEBUG) $(COPT) -o $@

$(SPOBJ): $(SPINC)
$(ASMOBJ): $(SPINC)
$(COBJ): $(CHEADERS)
$(DEBUGOBJ): $(CHEADERS) lispdcmd.h


MAGIC_PADDING_VALUE=4544
pad.o:	../pad.s
	$(M4) -DMAGIC_PADDING_VALUE=$(MAGIC_PADDING_VALUE) $< | as -o $@

thread_manager.o: thread_manager.c 

cclean:
	$(RM) -f $(KERNELOBJ) $(DEBUGOBJ) ../../dppccl64

# Some earlier versions of this Makefile built "subprims_r.o".  
# (That file is now defunct.)
clean:	cclean
	$(RM) -f $(SPOBJ) $(KSPOBJ) subprims_r.o

strip:	../../dppccl64
	strip -s retain ../../dppccl64

=== lisp-kernel/static-linux/Makefile ===
#
#   Copyright (C) 1994-2001 Digitool, Inc
#   This file is part of OpenMCL.  
#
#   OpenMCL is licensed under the terms of the Lisp Lesser GNU Public
#   License , known as the LLGPL and distributed with OpenMCL as the
#   file "LICENSE".  The LLGPL consists of a preamble and the LGPL,
#   which is distributed with OpenMCL as the file "LGPL".  Where these
#   conflict, the preamble takes precedence.  
#
#   OpenMCL is referenced in the preamble as the "LIBRARY."
#
#   The LLGPL is also available online at
#   http://opensource.franz.com/preamble.html

OPENMCL_MAJOR_VERSION=0
OPENMCL_MINOR_VERSION=14

VPATH = ../
RM = /bin/rm
# Versions of GNU as >= 2.9.1 all seem to work
# AS = gas-2.9.1
AS = as
M4 = m4
ASFLAGS = -mregnames -mppc32
M4FLAGS = -DLINUX
CDEFINES = -DLINUX -D_REENTRANT  -DOPENMCL_MAJOR_VERSION=$(OPENMCL_MAJOR_VERSION) -DOPENMCL_MINOR_VERSION=$(OPENMCL_MINOR_VERSION) -DSTATIC
CDEBUG = -g
COPT = -O2

# The only version of GCC I have that supports both ppc32 and ppc64
# compilation uses the -m32 option to target ppc32.  This may not be
# definitive; there seem to be a bewildering array of similar options
# in other GCC versions.  It's assumed here that if "-m32" is recognized,
# it's required as well.

PPC32 = $(shell ($(CC) --help -v 2>&1 | grep -q -e "-m32 ") && /bin/echo "-m32")

# Likewise, some versions of GAS may need a "-a32" flag, to force the
# output file to be 32-bit compatible.

A32 = $(shell ($(AS) --help -v 2>&1 | grep -q -e "-a32") && /bin/echo "-a32")

.s.o:
	$(M4) $(M4FLAGS) -I../ $< | $(AS) $(A32) $(ASFLAGS) -o $@
.c.o:
	$(CC) -c $< $(CDEFINES) $(CDEBUG) $(COPT) $(PPC32) -o $@

SPOBJ = pad.o spjump.o spentry.o subprims.o
ASMOBJ = asmutils.o imports.o

COBJ  = pmcl-kernel.o gc.o bits.o  lisp-exceptions.o \
	image.o thread_manager.o lisp-debug.o 

DEBUGOBJ = lispdcmd.o plprint.o plsym.o plbt.o ppc_print.o
KERNELOBJ= $(COBJ) asmutils.o  imports.o
STATICOBJ= staticlib.o

SPINC =	lisp.s m4macros.m4 constants.s macros.s errors.s uuo.s

CHEADERS = area.h bits.h constants.h lisp-errors.h gc.h lisp.h \
	lisp-exceptions.h lisp_globals.h macros.h memprotect.h image.h \
	Threads.h

# Subprims linked into the kernel ?
# Yes:

KSPOBJ = $(SPOBJ)
all:	../../static-ppccl


# No:

# KSPOBJ=
# all:	../../static-ppccl ../../subprims.so

OSLIBS =  -lm -lpthread


../../static-ppccl:	$(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ) $(STATICOBJ)
	$(CC) $(PPC32) $(CDEBUG) -static  -o $@ -T ../linux//elf32ppclinux.x $(KSPOBJ) $(KERNELOBJ) $(STATICOBJ) $(DEBUGOBJ) $(OSLIBS)


$(SPOBJ): $(SPINC)
$(ASMOBJ): $(SPINC)
$(COBJ): $(CHEADERS)
$(DEBUGOBJ): $(CHEADERS) lispdcmd.h
staticlib.o: external-functions.h staticlib.c
	$(CC) -c staticlib.c -fno-builtin $(CDEFINES) $(CDEBUG) $(COPT) $(PPC32) -o $@


external-functions.h:
	echo "Must generate external-functions.h from running lisp"


cclean:
	$(RM) -f $(KERNELOBJ) $(DEBUGOBJ) ../../ppccl

clean:	cclean
	$(RM) -f $(SPOBJ)

strip:	../../ppccl
	strip -g ../../ppccl

=== debian/changelog ===
openmcl (0.14.2.p1.o) unstable; urgency=low

  * Orphan as in bug #297473

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  5 Mar 2005 02:22:48 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: openmcl
 Section: devel
 Priority: optional
-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.0.0), openmcl-build-tools
 Standards-Version: 3.6.1.1

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,4 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper.
-# GNU copyright 1997 to 1999 by Joey Hess.
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=4
 
 CURRDIR	:= $(shell pwd)
